version: '3.2'

volumes:
  storj:

services:
  app:
    image: storjlabs/storagenode:latest
    restart: always
    ports:
      - 127.0.0.1:14002:14002
      - 28967:28967/tcp
      - 28967:28967/udp
    volumes:
      - type: bind
        source: /home/jobs/scripts/by-user/root/docker/storj/identity
        target: /app/identity
      - type: bind
        source: ${DATA_PATH}
        target: /app/config
    environment:
      - SETUP=true
      - WALLET=${WALLET_ADDRESS}
      - ADDRESS=${MAIN_DOMAIN}:28967
      - STORAGE=1.5TB
    networks:
      - mynetwork

networks:
  mynetwork:
    driver: bridge
    driver_opts:
      com.docker.network.bridge.name: br_docker_storj
